g2bAPI Reference
Git Hub

Inspect the GitHub connection

Returns the caller’s GitHub App installation and authorization state.

GET
/v1/github/connection

Returns the caller’s GitHub App installation and authorization state.

Authorization

bearerAuth
AuthorizationBearer <token>

Create an API key in g2b Settings, then send it as a Bearer token.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/github/connection"
{  "status": "ready",  "message": "string",  "app_slug": "string",  "install_url": "http://example.com",  "user": {    "id": 1,    "login": "string",    "avatar_url": "http://example.com"  },  "installations": [],  "installation_requests": [],  "installation_requests_status": "ready"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": "Unauthorized"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}